VERSION 5.00
Begin VB.Form frmSession 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Gloseprve"
   ClientHeight    =   3150
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   7050
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3150
   ScaleWidth      =   7050
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "&Avslutt"
      Height          =   495
      Left            =   3600
      TabIndex        =   3
      Top             =   2160
      Width           =   1455
   End
   Begin VB.TextBox txtWord 
      Height          =   285
      Left            =   720
      TabIndex        =   2
      Text            =   "Text1"
      Top             =   1320
      Width           =   5655
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&Ok"
      Default         =   -1  'True
      Height          =   495
      Left            =   2040
      TabIndex        =   1
      Top             =   2160
      Width           =   1455
   End
   Begin VB.Label lblAnswers 
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblDescription 
      Height          =   255
      Left            =   720
      TabIndex        =   0
      Top             =   840
      Width           =   5655
   End
End
Attribute VB_Name = "frmSession"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Compare Text

' Copyright (C) 2006 Kristian S. Stangeland

' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

' The lists to use
Public refLang As usrList
Public refTrans As usrList

' Amount of right answers
Public Index As Long
Public Points As Long

Public Sub UpdateControls(Optional bUpdateDescription As Boolean = True)

    ' Update all controls
    lblAnswers.Caption = Points & "/" & refLang.ElementCount + 1
    cmdOK.Enabled = True
    cmdOK.Caption = "&Ok"

    ' Update description, if set
    If bUpdateDescription Then
        lblDescription.Caption = "Oversett ordet '" & refLang.ElementValue(Index) & "':"
    End If

End Sub

Private Sub cmdExit_Click()

    ' Close this form
    Unload Me

End Sub

Private Sub cmdOK_Click()

    ' Update the controls each time

    ' Execute an action depending on the name of the button
    Select Case cmdOK.Caption
    Case "&Ok"
    
        ' Lock the textbox for the duritation
        txtWord.Enabled = False
    
        ' Check the current code
        If Trim(txtWord.Text) = Trim(refTrans.ElementValue(Index)) Then
            
            ' Let the user know this was a correct answer
            lblDescription.Caption = "Riktig svar!"
    
            ' Save this correct answer
            Points = Points + 1
            
            ' Update points
            UpdateControls False
            
        Else
            
            ' Nope - wrong
            lblDescription.Caption = "Beklager, galt svar."
            
        End If

        ' Increase index
        Index = Index + 1
        
        ' See if we're done or not
        If Index > refLang.ElementCount Then
        
            ' We're done ... inform about this
            cmdOK.Caption = "&Done"
            cmdOK.Enabled = False
            lblDescription.Caption = "Resultat: " & Round((Points / (refLang.ElementCount + 1)) * 100, 2) & "%"
        
        Else
        
            ' Let the user choose to continue
            cmdOK.Caption = "&Continue"
    
        End If
    
    Case "&Continue"
    
        ' Clear textbox and allow people to edit it
        txtWord.Enabled = True
        txtWord.Text = ""
        txtWord.SetFocus
        
        ' Update current post
        UpdateControls
    
        ' Press OK to answer
        cmdOK.Caption = "&Ok"
    
    End Select

End Sub

Private Sub Form_Unload(Cancel As Integer)

    ' Show the main form
    If Me.Tag <> "FORCED" Then
        frmMain.Show
    End If

End Sub
